jif.ast

## Interface LabelNode

- All Superinterfaces:
    ActsForParamNode<Label>, java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Node>, LabelComponentNode, polyglot.ast.Node, polyglot.ast.NodeOps, ParamNode, java.io.Serializable
  All Known Subinterfaces:
    AmbDynamicLabelNode, AmbProviderLabelNode, AmbThisLabelNode, AmbVarLabelNode, CanonicalLabelNode, JoinLabelNode, MeetLabelNode
  All Known Implementing Classes:
    AmbDynamicLabelNode_c, AmbLabelNode_c, AmbProviderLabelNode_c, AmbThisLabelNode_c, AmbVarLabelNode_c, CanonicalLabelNode_c, JoinLabelNode_c, LabelNode_c, MeetLabelNode_c

      public interface LabelNode
      extends ActsForParamNode<Label>, LabelComponentNode

  A placeholder in the AST for a Jif label.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Label` | `label()`
    `LabelNode` | `label(Label L)`

    - ### Methods inherited from interface jif.ast.ActsForParamNode

      `parameter, parameter`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### label

          Label label()

    - #### label

          LabelNode label(Label L)